Subject: [FINAL;)] Re: encoding package values as ANBF VALUES

From: Troy Cauble <[email-masked]>
Date: Thu, 26 Apr 2001 18:32:56 -0400

Christian,

Since nobody argued, I guess it's final:)
Can I get an Amen from the Keeper of the Additions?

Proposed addition below.

-troy

<Inserted at the beginning of Annex B.2, replacing
 two lines about "Boolean values".>

; NOTE -- The ABNF in this section uses the VALUE construct (or lists of
; VALUE constructs) to encode various package element values (properties,
; signal parameters, etc.).  The types of these values vary and are
; specified the relevant package definition.  Several such types are
; described in section 12.2.
;
; The ABNF specification for VALUE allows a quotedString form or a
; collection of SafeChars.  The encoding of package element values into
; ABNF VALUES is specified below.  If a type's encoding allows characters
; other than SafeChars, the quotedString form MUST be used for all values
; of that type, even for specific values that consist only of SafeChars.
;
; String:  A string MUST use the quotedString form of VALUE and can
; contain anything allowable in the quotedString form.
;
; Integer, Double, and Unsigned Integer:  Decimal values can be encoded
; using characters 0-9.  Hexadecimal values must be prefixed with '0x'
; and can use characters 0-9,a-f,A-F.  An octal format is not supported.
; Negative integers start with '-' and MUST be Decimal.  The SafeChar
; form of VALUE MUST be used.
;
; Character:  A UTF-8 encoding of a single letter surrounded by double
; quotes.
;
; Enumeration:  An enumeration can be encoded from alphanumerics
; and the underscore character.  The SafeChar form of VALUE MUST
; be used.
;
; Boolean:  Boolean values are encoded as "on" and "off" and are
; case insensitive.  The SafeChar form of VALUE MUST be used.
;
; Future types:  It is expected that packages will define types
; beyond these initial types.  Any defined types MUST fit within
; the ANBF specification of VALUE.  Specifically, if a type's encoding
; allows characters other than SafeChars, the quotedString form MUST
; be used for all values of that type, even for specific values that
; consist only of SafeChars.
;
; Note that there is no way to use the double quote character within
; a value.

<End Insert>

---

From: Christian Groves <[email-masked]>
Date: Fri, 27 Apr 2001 16:26:23 +1000

G'Day Troy,

Just back from holidays and you already have work for me......but no
arguments is what I like so i'll add the text to the IG.

Cheers, Christian